#!/bin/ash
# /root/my-applications/bin/diapo-qiv-lst.sh
# (c) musher0, Sept. 2, 2018. GPL3.
#
# Usage -- 
# Enter a directory of images and type:
# diapo-qiv-lst.sh 7
# The number at the end is the number of seconds 
# during which we want to display the image.
# Please see note at end,
# 
# You get the list of images to display by entering 
# an image directory and typing in console:
# ls -1 *.*g | grep -v svg > liste
#
####
# qiv -s -d $1 -f -t -m -C -P -F liste

# Notes-- 
# -- You may wish to hard code the $1 variable to
# a number of seconds instead.
# Ex.: qiv -s -d 8 -f -t -m -C -P -F liste
#
# -- If you are always using the same images, you can 
# hard code the liste of images like so:
DiR=/usr/share/backgrounds # put the name of your image directory here.
cd $DiR
qiv -s -d 8 -f -t -m -C -P -F $DiR/liste
# and drag the modified script on the ROX desktop, so you can 
# simply click on it to view your slide show.
#
